package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 柜体分配任务信息对象 mes_material_assign_info
 * 
 * @author xins
 * @date 2024-04-12
 */
public class MesMaterialAssignInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long materialAssignInfoId;

    /** 物料条码 */
    @Excel(name = "物料条码")
    private String materialBarcode;

    /** 下发工位ID */
    @Excel(name = "下发工位ID")
    private Long stationId;

    public void setMaterialAssignInfoId(Long materialAssignInfoId) 
    {
        this.materialAssignInfoId = materialAssignInfoId;
    }

    public Long getMaterialAssignInfoId() 
    {
        return materialAssignInfoId;
    }
    public void setMaterialBarcode(String materialBarcode) 
    {
        this.materialBarcode = materialBarcode;
    }

    public String getMaterialBarcode() 
    {
        return materialBarcode;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("materialAssignInfoId", getMaterialAssignInfoId())
            .append("materialBarcode", getMaterialBarcode())
            .append("stationId", getStationId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
